---
title: "My favourite albums"
date: 2024-05-18T08:00:00.0Z
tags:
    - personal
excerpt: "It's Saturday, so let's a break from Golang to hear a rundown of my 5 favourite albums"
---

Like many people, I love listening to music and have a strong attachment to a few albums; some because they're good, mostly because of some sentimental reason behind it. Anyway, here's my top five albums, in order.

## 5. Common Dreads - Enter Shikari

![The album cover for Common Dreads by Enter Shikari. Shows the British Lion symbol on top of a stylized background](./src/images/common_dreads.jpeg)

Imagine this: you're 15, angsty, not quite cool enough to get invited to parties. Instead you go to an under-18's rock night at a venue in the city centre. Then suddenly Juggernaut by Enter Shikari starts playing and you lose your fucking mind. This album is by no means perfect, but that song alone is enough to give it this position. It was loud, angry, political, and the mosh pits were intense. Enter Shikari are one of my favourite live bands, in part because of how good songs from this album are live.

## 4. Let Go - Avril Lavigne

![Album cover for Let Go. Shows Avril Lavigne standing in all black, in front of blurred moving people and traffic](./src/images/let_go_avril_lavigne.jpeg)

Believe it or not, this was the first album I ever personally owned. Before that it was just whatever music my parents or the radio were playing. But then my Dad went to Boston, US on a business trip and came back with a present for me: a sony discman, and a copy of this album. I must have listened to this through the cheap tinny headphones a thousand times. It's not an amazing album, or even Avril Lavigne's best, but hearing any songs from it just remind me of being 8 years old and starting to develop my own music tastes.

## 3. Random Access Memories - Daft Punk

![The Random Access Memories album cover. Shows half of each of the two Daft Punk members' masks placed together on a black blackrgound](./src/images/random_access_memories_daft_punk.jpeg)

I love Random Access Memories just because it's so _chilled_. It's one of my favourite albums to stick on if I need to concentrate but want some background noise. In particular, "Instant Crush" feat. Julian Casablancas is the perfect tempo and volume to get me right into the zone, something I found out while working on late-night assignments in University. I'd frequently just have this on a loop while working, only ever pausing to skip "Georgio By Moroder".

## 2. Hits - Pulp

![Pulp Hits album cover, showing the silhouettes of the band filled with different patterns](./src/images/pulp_hits.jpeg)

Okay this one's not technically an album, it's a compilation. But it's on the list because of my first car. I was 19, studying at Aberystwyth University, and my girlfriend lived in Swansea. There was a bus, but it took hours, so I was desperate to learn how to drive. Once I passed, I bought a clapped out 2001 Ford Fiesta Zetec. On my very first outing in it, my Mum offered to pay for it to go through a car wash, but neither of us remembered to lower the radio antenna on the roof beforehand. The antenna snapped, and so I had no radio at all in the car. Instead I grabbed a CD from the rack at my parents house: this one, and it remained the only CD in the car for several months. I love this album because it's the definitive soundtrack for all of those long, lonely drives going down to Swansea to vist my girlfriend. It worked though, we celebrated our 2-year wedding anniversary earlier this week.

## 1. The Best In Town - The Blackout

![Album cover for the Best In Town, shows a cartoon man on top of a hill with a beam of light on him. Below is a cartoonish gothic-style medieval town with wolves and monsters in the windows](./src/images/best_in_town.jpeg)

I fucking _love_ The Blackout. When I was a teenager I managed to see them 10 times in one year, and then got to see them again this past February. They're just a brilliant band, and I love their sound. The Best In Town is probably their finest album, it's just never got old to me. It reminds me so much of the summer I left secondary school, which was extra-long and a whole lot of fun before having to go become an adult(ish). Now that they've reformed, I _strongly_ recommend seeing them live, they're just a brilliant act and know how to work a crowd.

There are other albums I love too, but I think these five are my favourites that I'll always come back to. It's interesting that every single one is from before I turned 20, I don't think my music taste has changed much in the ten years following.